Разработчики GNOME откажутся от классического режима в 3.8

логотип GNOME

Разработчики GNOME решили отказаться от режима совместимости, GNOME Classic. В следующей стабильной версии окружения GNOME 3.8 классический режим будет удален и не будет поддерживаться. Совместимость со старыми компьютерами без графического ускорения будет обеспечиваться при помощи библиотеки llvmpipe, которая на данный момент уже используется в Unity для аналогичных задач (об этом в статье "Ubuntu 12.10 избавилась от Unity 2D").

Причины отказа от GNOME Classic

Почему же разработчики решили отказаться от режима совместимости? Дело в том, что они пришли к заключению, что не в состоянии поддерживать оболочку на должном уровне. Есть несколько причин отказа, одной из главных является то, что окружение не развивается и находится в состоянии "поддержки" (maintenance mode). Никаких нововведений в GNOME Classic не было на протяжении длительного времени. Остальные причины отказа следующие:

  • отсутствие активного тестирования режима,
  • присутствие "старого" GNOME портит впечатление пользователей о GNOME 3,
  • некоторые приложения, среди которых Totem и Cheese, имеют в зависимостях библиотеку аппаратно ускоренного GUI Clutter, и не будут функционировать без аппаратного ускорения GL. Посему в режиме совместимости GNOME Classic они неработоспособны,
  • некоторые изменения в архитектуре требуют дополнительной доработки приложений, которые все равно не будут полноценными.

GNOME Classic

Последствия отказа

Отказ от поддержки GNOME Classic приведет не только к удалению режима, но и к удалению многих модулей. Среди которых: Metacity, панель GNOME, апплеты GNOME, notification-daemon, скринсейвер GNOME, polkit-gnome и nm-applet. Его удаление также затронет оболочки Unity, LXDE, Xfce, так как они используют некоторые компоненты GNOME Classic, например, иконки в трее или демон GNOME Settings.

Однако, в этом есть и положительные стороны, так как это приведет к упрощению отдельных модулей. Таких, как Центр управления GNOME, менеджер логина GDM и файловый менеджер Nautilus.

Также разработчики не отвернутся и от тех пользователей, которым по душе компоновка классического GNOME 2. Они постараются создать расширения для GNOME Shell, которые предоставляют подобный интерфейс.

Что касается пользователей Ubuntu, то пока что их не коснется данное решение, так как в разрабатываемом Ubuntu 13.04 будет использован GNOME версии 3.6. Окружение версии 3.8 не войдет в Raring Ringtail по той простой причине, что не будет еще достаточно оттестировано к релизу.


Теги:

Похожие материалы:

Комментарии

Аватар пользователя Илья

присутствие "старого" GNOME портит впечатление пользователей о GNOME 3. - они издеваются чтоли? да половина пользователей на фоллбэке сидит и пытается радоваться.

Gnome целеустремленно разгоняет пользователей на XFCE, KDE и другие оболочки...

Добавить комментарий